<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
#
# This file is part of tabsOne, a Dotclear 2 theme.
#
# Copyright (c) 2008 pyeb and contributors
# Licensed under the GPL version 2.0 license.
# See LICENSE file or
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
#
# -- END LICENSE BLOCK ------------------------------------

if (!defined('DC_CONTEXT_ADMIN')) { return; }

l10n::set(dirname(__FILE__).'/locales/'.$_lang.'/main');

$tabsOne_styles = array(
	__('Green') => 'green',
	__('Blue') => 'blue',
	__('Magenta') => 'magenta'
);

if (!$core->blog->settings->themes->tabsOne_style) {
	$core->blog->settings->themes->tabsOne_style = 'green';
}

if (!empty($_POST['tabsOne_style']) && in_array($_POST['tabsOne_style'],$tabsOne_styles))
{
	$core->blog->settings->themes->tabsOne_style = $_POST['tabsOne_style'];
	$core->blog->settings->addNamespace('themes');
	$core->blog->settings->themes->put('tabsOne_style',$core->blog->settings->themes->tabsOne_style,'string','tabsOne theme style',true);
	$core->blog->triggerBlog();

	dcPage::success(__('Theme configuration has been successfully updated.'));
}

echo
'<div class="fieldset"><h4>'.__('Display').'</h4>'.
'<p class="field"><label>'.__('Style:').'</label>'.
form::combo('tabsOne_style',$tabsOne_styles,$core->blog->settings->themes->tabsOne_style).
'</p>'.
'</div>';
